Subject: Re: oops/warning report for the week of November 26, 2008

From: Roger Luethi <[email-masked]>
Date: Sun, 30 Nov 2008 09:58:20 +0100

On Fri, 28 Nov 2008 20:50:18 +0100, Francois Romieu wrote:
> Arjan van de Ven <[email-masked]> :
> [...]
> > For me, sis900 and r8169 stand out; if you look at the data in the
> > table above, both of these are an order of magnitude more frequent than
> > the rest of the pack.
> 
> via-rhine + via_rhine = 438: it does not look too good either.

Agreed. I was kinda hoping I'd get some clues for free when other drivers
get fixed :-).

> Is there an (ideally automated) way to retrieve more information ?
> 
> The r8169 driver handles three different chipsets and a plethora of
> phys. The "XID" line printed by the driver could hint at some specific
> PHY for instance.

For the Rhine, knowing the PCI rev would help identify problems tied to
specific models.

Roger